0

The system doesn't allow you to connect to wifi and there's no wifi icon at all. This happened after installing the system update from the App centre. Everything was working fine before I installed the system update and that was the only update I installed. I also tried installing the latest version (at the time) elementaryos-5.1-stable.20200405 and it doesn't even prompt to connect to the wifi during installation and of course, after installation has completed there's no wifi.

This is the change log:

    161 components with updates:
 • apache2-bin Apache HTTP Server (modules and other binary files) Version: 2.4.29-1ubuntu4.13
 • appstream Software component metadata management Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • appstream-data-pantheon AppStream data for Pantheon Version: 5.0-0+r106~ubuntu5.1.3.1
 • appstream-data-pantheon-icons Icons for AppStream data in Pantheon Version: 5.0-0+r106~ubuntu5.1.3.1
 • appstream-data-pantheon-icons-hidpi HiDPI icons for AppStream data in Pantheon Version: 5.0-0+r106~ubuntu5.1.3.1
 • apt-config-icons APT configuration snippet to enable icon downloads Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • apt-config-icons-hidpi APT configuration snippet to enable HiDPI icon downloads Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • apt-config-icons-large APT configuration snippet to enable large icon downloads Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • apt-config-icons-large-hidpi APT configuration snippet to enable large HiDPI icon downloads Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • base-files Debian base system miscellaneous files Version: 10.1ubuntu2.8+elementary16~ubuntu5.1.2.1
 • binutils GNU assembler, linker and binary utilities Version: 2.30-21ubuntu1~18.04.3
 • binutils-common Common files for the GNU assembler, linker and binary utilities Version: 2.30-21ubuntu1~18.04.3
 • binutils-x86-64-linux-gnu GNU binary utilities, for x86-64-linux-gnu target Version: 2.30-21ubuntu1~18.04.3
 • bluez Bluetooth tools and daemons Version: 5.48-0ubuntu3.4
 • bluez-cups Bluetooth printer driver for CUPS Version: 5.48-0ubuntu3.4
 • bluez-obexd bluez obex daemon Version: 5.48-0ubuntu3.4
 • bsdutils basic utilities from 4.4BSD-Lite Version: 1:2.31.1-0.4ubuntu3.6
 • capnet-assist Captive login detector Version: 2.2.5+r403+pkg28~ubuntu5.1.3.1
 • dmidecode SMBIOS/DMI table decoder Version: 3.1-1ubuntu0.1
 • elementary-theme the elementary GTK theme Version: 5.4.2+r997+pkg327~ubuntu5.1.2.1
 • fdisk collection of partitioning utilities Version: 2.31.1-0.4ubuntu3.6
 • flatpak Application deployment framework for desktop apps Version: 1.6.3-flatpak1~bionic~ubuntu5.1.2.1
 • gala Pantheon Window Manager Version: 3.3.0~r987+pkg54~ubuntu5.1.2.1
 • gir1.2-ibus-1.0 Intelligent Input Bus - introspection data Version: 1.5.17-3ubuntu5.3+elementary6+r1~ubuntu5.1.2.1
 • gnome-settings-daemon daemon handling the GNOME session settings Version: 3.28.1-0ubuntu1.3+elementary5~ubuntu5.1.2.1
 • gnome-settings-daemon-schemas Shared schemas for gnome-settings-daemon Version: 3.28.1-0ubuntu1.3+elementary5~ubuntu5.1.2.1
 • ibus Intelligent Input Bus - core Version: 1.5.17-3ubuntu5.3+elementary6+r1~ubuntu5.1.2.1
 • ibus-gtk Intelligent Input Bus - GTK+2 support Version: 1.5.17-3ubuntu5.3+elementary6+r1~ubuntu5.1.2.1
 • ibus-gtk3 Intelligent Input Bus - GTK+3 support Version: 1.5.17-3ubuntu5.3+elementary6+r1~ubuntu5.1.2.1
 • io.elementary.cerbere service to relaunch Pantheon shell components Version: 2.5.1+r79-0+pkg32~ubuntu5.1.2.1
 • io.elementary.sideload Install apps downloaded from the Internet Version: 1.1.0+r464+pkg5~ubuntu5.1.2.1
 • libappstream4 Library to access AppStream services Version: 0.12.10-2+elementary5~ubuntu5.1.2.1
 • libarchive13 Multi-format archive and compression library (shared library) Version: 3.2.2-3.1ubuntu0.6
 • libasound2 shared library for ALSA applications Version: 1.1.3-5ubuntu0.5
 • libasound2-data Configuration files and profiles for ALSA drivers Version: 1.1.3-5ubuntu0.5
 • libbinutils GNU binary utilities (private shared library) Version: 2.30-21ubuntu1~18.04.3
 • libblkid1 block device ID library Version: 2.31.1-0.4ubuntu3.6
 • libbluetooth3 Library to use the BlueZ Linux Bluetooth stack Version: 5.48-0ubuntu3.4
 • libcodecore0 text editor that works for you (shared library) Version: 3.4.0~r3069+pkg132~ubuntu5.1.3.1
 • libdrm-amdgpu1 Userspace interface to amdgpu-specific kernel DRM services -- runtime Version: 2.4.99-1ubuntu1~18.04.2
 • libdrm-common Userspace interface to kernel DRM services -- common files Version: 2.4.99-1ubuntu1~18.04.2
 • libdrm-intel1 Userspace interface to intel-specific kernel DRM services -- runtime Version: 2.4.99-1ubuntu1~18.04.2
 • libdrm-nouveau2 Userspace interface to nouveau-specific kernel DRM services -- runtime Version: 2.4.99-1ubuntu1~18.04.2
 • libdrm-radeon1 Userspace interface to radeon-specific kernel DRM services -- runtime Version: 2.4.99-1ubuntu1~18.04.2
 • libdrm2 Userspace interface to kernel DRM services -- runtime Version: 2.4.99-1ubuntu1~18.04.2
 • libegl-mesa0 free implementation of the EGL API -- Mesa vendor library Version: 19.2.8-0ubuntu0~18.04.3
 • libegl1-mesa transitional dummy package Version: 19.2.8-0ubuntu0~18.04.3
 • libexif12 library to parse EXIF files Version: 0.6.21-4ubuntu0.1
 • libexiv2-14 EXIF/IPTC/XMP metadata manipulation library Version: 0.25-3.1ubuntu0.18.04.5
 • libfdisk1 fdisk partitioning library Version: 2.31.1-0.4ubuntu3.6
 • libflatpak0 Application deployment framework for desktop apps (library) Version: 1.6.3-flatpak1~bionic~ubuntu5.1.2.1
 • libgala0 Library to build plugins for Pantheon Window Manager Version: 3.3.0~r987+pkg54~ubuntu5.1.2.1
 • libgbm1 generic buffer management API -- runtime Version: 19.2.8-0ubuntu0~18.04.3
 • libgd3 GD Graphics Library Version: 2.2.5-4ubuntu0.4
 • libgl1-mesa-dri free implementation of the OpenGL API -- DRI modules Version: 19.2.8-0ubuntu0~18.04.3
 • libgl1-mesa-glx transitional dummy package Version: 19.2.8-0ubuntu0~18.04.3
 • libglapi-mesa free implementation of the GL API -- shared library Version: 19.2.8-0ubuntu0~18.04.3
 • libglib2.0-0 GLib library of C routines Version: 2.56.4-0ubuntu0.18.04.6
 • libglib2.0-bin Programs for the GLib library Version: 2.56.4-0ubuntu0.18.04.6
 • libglib2.0-data Common files for GLib library Version: 2.56.4-0ubuntu0.18.04.6
 • libglx-mesa0 free implementation of the OpenGL API -- GLX vendor library Version: 19.2.8-0ubuntu0~18.04.3
 • libgranite-common extension of GTK+ libraries (common files) Version: 5.3.1+r1684+pkg113~ubuntu5.1.2.1
 • libgranite5 extension of GTK+ libraries Version: 5.3.1+r1684+pkg113~ubuntu5.1.2.1
 • libibus-1.0-5 Intelligent Input Bus - shared library Version: 1.5.17-3ubuntu5.3+elementary6+r1~ubuntu5.1.2.1
 • libicu60 International Components for Unicode Version: 60.2-3ubuntu3.1
 • libjavascriptcoregtk-4.0-18 JavaScript engine library from WebKitGTK+ Version: 2.28.1-0ubuntu0.18.04.1
 • libjson-glib-1.0-0 GLib JSON manipulation library Version: 1.4.2-3ubuntu0.18.04.1
 • libjson-glib-1.0-common GLib JSON manipulation library (common files) Version: 1.4.2-3ubuntu0.18.04.1
 • libllvm9 Modular compiler and toolchain technologies, runtime library Version: 1:9-2~ubuntu18.04.2
 • libmaya-calendar0 GTK+ calendar application (shared library) Version: 5.0.4+r1725+pkg128~ubuntu5.1.3.1
 • libmount1 device mounting library Version: 2.31.1-0.4ubuntu3.6
 • libnm-glib4 network management framework (GLib shared library) Version: 1.10.6-2ubuntu1.4
 • libnm-util2 network management framework (shared library) Version: 1.10.6-2ubuntu1.4
 • libnm0 GObject-based client library for NetworkManager Version: 1.10.6-2ubuntu1.4
 • libnss-systemd nss module providing dynamic user and group name resolution Version: 237-3ubuntu10.39
 • libpam-systemd system and service manager - PAM module Version: 237-3ubuntu10.39
 • libpantheon-files-core0 File manager for the Pantheon desktop (shared library) Version: 4.4.2+r3786+pkg92~ubuntu5.1.2.1
 • libpantheon-files-widgets0 File manager for the Pantheon desktop (widgets library) Version: 4.4.2+r3786+pkg92~ubuntu5.1.2.1
 • libplank-common Library to build an elegant, simple, clean dock (shared files) Version: 0.11.89+r1647+pkg5~ubuntu5.1.2.1
 • libplank1 Library to build an elegant, simple, clean dock Version: 0.11.89+r1647+pkg5~ubuntu5.1.2.1
 • libpulse-mainloop-glib0 PulseAudio client libraries (glib support) Version: 1:11.1-1ubuntu7.5
 • libpulse0 PulseAudio client libraries Version: 1:11.1-1ubuntu7.5
 • libpulsedsp PulseAudio OSS pre-load library Version: 1:11.1-1ubuntu7.5
 • libpython2.7 Shared Python runtime library (version 2.7) Version: 2.7.17-1~18.04ubuntu1
 • libpython2.7-minimal Minimal subset of the Python language (version 2.7) Version: 2.7.17-1~18.04ubuntu1
 • libpython2.7-stdlib Interactive high-level object-oriented language (standard library, version 2.7) Version: 2.7.17-1~18.04ubuntu1
 • libpython3.6 Shared Python runtime library (version 3.6) Version: 3.6.9-1~18.04ubuntu1
 • libpython3.6-minimal Minimal subset of the Python language (version 3.6) Version: 3.6.9-1~18.04ubuntu1
 • libpython3.6-stdlib Interactive high-level object-oriented language (standard library, version 3.6) Version: 3.6.9-1~18.04ubuntu1
 • libqt5core5a Qt 5 core module Version: 5.9.5+dfsg-0ubuntu2.5
 • libqt5dbus5 Qt 5 D-Bus module Version: 5.9.5+dfsg-0ubuntu2.5
 • libqt5gui5 Qt 5 GUI module Version: 5.9.5+dfsg-0ubuntu2.5
 • libqt5network5 Qt 5 network module Version: 5.9.5+dfsg-0ubuntu2.5
 • libqt5widgets5 Qt 5 widgets module Version: 5.9.5+dfsg-0ubuntu2.5
 • libsgutils2-2 utilities for devices using the SCSI command set (shared libraries) Version: 1.42-2ubuntu1.18.04.2
 • libsmartcols1 smart column output alignment library Version: 2.31.1-0.4ubuntu3.6
 • libsqlite3-0 SQLite 3 shared library Version: 3.22.0-1ubuntu0.3
 • libssh-gcrypt-4 tiny C SSH library (gcrypt flavor) Version: 0.8.0~20170825.94fa1e38-1ubuntu0.6
 • libswitchboard-2.0-0 Modular Settings Hub - shared libraries Version: 2.3.9~r1012+pkg71~ubuntu5.1.2.1
 • libsystemd0 systemd utility library Version: 237-3ubuntu10.39
 • libudev1 libudev shared library Version: 237-3ubuntu10.39
 • libuuid1 Universally Unique ID library Version: 2.31.1-0.4ubuntu3.6
 • libvala-0.40-0 C# like language for the GObject system - library Version: 0.40.21-0ubuntu1~18.04~valateam0
 • libwayland-client0 wayland compositor infrastructure - client library Version: 1.16.0-1ubuntu1.1~18.04.3
 • libwayland-cursor0 wayland compositor infrastructure - cursor library Version: 1.16.0-1ubuntu1.1~18.04.3
 • libwayland-egl1 wayland compositor infrastructure - EGL library Version: 1.16.0-1ubuntu1.1~18.04.3
 • libwayland-server0 wayland compositor infrastructure - server library Version: 1.16.0-1ubuntu1.1~18.04.3
 • libwebkit2gtk-4.0-37 Web content engine library for GTK+ Version: 2.28.1-0ubuntu0.18.04.1
 • libwebkit2gtk-4.0-37-gtk2 Transitional dummy package Version: 2.28.1-0ubuntu0.18.04.1
 • libwingpanel-2.0-0 A super sexy space-saving top panel Version: 2.3.1+r444+pkg47~ubuntu5.1.3.1
 • libxatracker2 X acceleration library -- runtime Version: 19.2.8-0ubuntu0~18.04.3
 • libxml2 GNOME XML library Version: 2.9.4+dfsg1-6.1ubuntu1.3
 • linux-base Linux image base package Version: 4.5ubuntu1.1
 • linux-firmware Firmware for Linux kernel drivers Version: 1.173.17
 • linux-generic-hwe-18.04 Complete Generic Linux kernel and headers Version: 5.3.0.46.102
 • linux-headers-generic-hwe-18.04 Generic Linux kernel headers Version: 5.3.0.46.102
 • linux-image-generic-hwe-18.04 Generic Linux kernel image Version: 5.3.0.46.102
 • maya-calendar-daemon GTK+ calendar application (event notification daemon) Version: 5.0.4+r1725+pkg128~ubuntu5.1.3.1
 • maya-calendar-plugin-caldav GTK+ calendar application (CalDAV plugin) Version: 5.0.4+r1725+pkg128~ubuntu5.1.3.1
 • maya-calendar-plugin-google GTK+ calendar application (Google Calendar plugin) Version: 5.0.4+r1725+pkg128~ubuntu5.1.3.1
 • mesa-va-drivers Mesa VA-API video acceleration drivers Version: 19.2.8-0ubuntu0~18.04.3
 • mesa-vdpau-drivers Mesa VDPAU video acceleration drivers Version: 19.2.8-0ubuntu0~18.04.3
 • mount tools for mounting and manipulating filesystems Version: 2.31.1-0.4ubuntu3.6
 • network-manager network management framework (daemon and userspace tools) Version: 1.10.6-2ubuntu1.4
 • network-manager-config-connectivity-ubuntu NetworkManager configuration to enable connectivity checking Version: 1.10.6-2ubuntu1.4
 • pantheon-agent-geoclue2 GeoClue2 authorization designed for Pantheon Version: 1.0.4+r198+pkg26~ubuntu5.1.3.1
 • pantheon-agent-polkit Polkit authorization designed for Pantheon Version: 1.0.1+r203+pkg16~ubuntu5.1.3.1
 • pantheon-greeter Pantheon Login Screen Version: 5.0.2+r1081+pkg67~ubuntu5.1.3.1
 • plank Elegant, simple, clean dock Version: 0.11.89+r1647+pkg5~ubuntu5.1.2.1
 • ppp Point-to-Point Protocol (PPP) - daemon Version: 2.4.7-2+2ubuntu1.2
 • pulseaudio PulseAudio sound server Version: 1:11.1-1ubuntu7.5
 • pulseaudio-module-bluetooth Bluetooth module for PulseAudio sound server Version: 1:11.1-1ubuntu7.5
 • pulseaudio-utils Command line tools for the PulseAudio sound server Version: 1:11.1-1ubuntu7.5
 • python2.7 Interactive high-level object-oriented language (version 2.7) Version: 2.7.17-1~18.04ubuntu1
 • python2.7-minimal Minimal subset of the Python language (version 2.7) Version: 2.7.17-1~18.04ubuntu1
 • python3-apport Python 3 library for Apport crash report handling Version: 2.20.9-0ubuntu7.14
 • python3-pil Python Imaging Library (Python3) Version: 5.1.0-1ubuntu0.2
 • python3-problem-report Python 3 library to handle problem reports Version: 2.20.9-0ubuntu7.14
 • python3-renderpm python low level render interface Version: 3.4.0-3ubuntu0.1
 • python3-reportlab ReportLab library to create PDF documents using Python3 Version: 3.4.0-3ubuntu0.1
 • python3-reportlab-accel C coded extension accelerator for the ReportLab Toolkit Version: 3.4.0-3ubuntu0.1
 • python3.6 Interactive high-level object-oriented language (version 3.6) Version: 3.6.9-1~18.04ubuntu1
 • python3.6-minimal Minimal subset of the Python language (version 3.6) Version: 3.6.9-1~18.04ubuntu1
 • qt5-gtk-platformtheme Qt 5 GTK+ 3 platform theme Version: 5.9.5+dfsg-0ubuntu2.5
 • rfkill tool for enabling and disabling wireless devices Version: 2.31.1-0.4ubuntu3.6
 • rsync fast, versatile, remote (and local) file-copying tool Version: 3.1.2-2.1ubuntu1.1
 • switchboard-plug-a11y Accessibility plug for Switchboard Version: 2.2.0+r371+pkg332~ubuntu5.1.2.1
 • switchboard-plug-sharing Change media sharing settings Version: 2.1.4+r422+pkg8~ubuntu5.1.2.1
 • switchboard-plug-users Manage local user accounts (dummy package) Version: 2.3.1+r727+pkg670~ubuntu5.1.3.1
 • systemd system and service manager Version: 237-3ubuntu10.39
 • systemd-sysv system and service manager - SysV links Version: 237-3ubuntu10.39
 • udev /dev/ and hotplug management daemon Version: 237-3ubuntu10.39
 • util-linux miscellaneous system utilities Version: 2.31.1-0.4ubuntu3.6
 • uuid-runtime runtime components for the Universally Unique ID library Version: 2.31.1-0.4ubuntu3.6
 • vim-common Vi IMproved - Common files Version: 2:8.0.1453-1ubuntu1.3
 • vim-tiny Vi IMproved - enhanced vi editor - compact version Version: 2:8.0.1453-1ubuntu1.3
 • wingpanel-indicator-bluetooth WingPanel Bluetooth Indicator Version: 2.1.5+r378+pkg27~ubuntu5.1.3.1
 • wingpanel-indicator-nightlight WingPanel Nightlight Indicator Version: 2.0.3+r293+pkg10~ubuntu5.1.2.1
 • wingpanel-indicator-power WingPanel Power Indicator Version: 2.1.5+r524+pkg19~ubuntu5.1.3.1
 • xserver-common common files used by various X servers Version: 2:1.19.6-1ubuntu4.4
 • xxd tool to make (or reverse) a hex dump Version: 2:8.0.1453-1ubuntu1.3

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.